summaryrefslogtreecommitdiffstats
path: root/sw/qa/extras/find-unused-data.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsw/qa/extras/find-unused-data.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/sw/qa/extras/find-unused-data.sh b/sw/qa/extras/find-unused-data.sh
new file mode 100755
index 000000000..460c01caa
--- /dev/null
+++ b/sw/qa/extras/find-unused-data.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+for i in */data/*
+do
+ file=$(basename "$i")
+ if ! git grep -q "$file"; then
+ echo "WARNING: $i is not used, write a testcase for it!"
+ fi
+done
+
+# vi:set shiftwidth=4 expandtab: